Bug 1571913 - Clean up EL6 and service-wait from Katello scripts
Summary: Clean up EL6 and service-wait from Katello scripts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging
Version: Nightly
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: 6.5.0
Assignee: Chris Roberts
QA Contact: Mirek Zalewski
URL: https://projects.theforeman.org/issue...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 16:59 UTC by Chris Roberts
Modified: 2019-11-05 22:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:20 UTC
Foreman Issue Tracker 23397 None None None 2018-04-25 16:59:08 UTC
Foreman Issue Tracker 23407 None None None 2018-04-26 13:56:05 UTC

Description Chris Roberts 2018-04-25 16:59:09 UTC
Description of problem:

No longer using service-wait in the installer and el6 has been not used for quite a while, removing the references to these in our packaging scripts.

Version-Release number of selected component (if applicable):

nightly

Comment 2 pm-sat@redhat.com 2018-04-25 18:20:16 UTC
Upstream bug assigned to chrobert@redhat.com

Comment 3 pm-sat@redhat.com 2018-04-25 18:20:18 UTC
Upstream bug assigned to chrobert@redhat.com

Comment 4 pm-sat@redhat.com 2018-05-21 18:19:30 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/23407 has been resolved.

Comment 5 Mirek Zalewski 2019-03-07 13:31:57 UTC
Moving to VERIFIED. If we had any reason to fail QA this, we would do so already.

This has been in upstream for almost a year now. During that time, new versions of Foreman and plugins (including Katello) were released and packaged. Upstream builds have been successful and installable; downstream builds were installable as well.

On latest snap, the only reference to `service-wait` I could find on file system was in /usr/share/gems/gems/foreman_maintain-0.3.1/lib/foreman_maintain/utils/service/systemd.rb:
if do_wait && File.exist?('/usr/sbin/service-wait')
  "service-wait #{@name} #{action}"
else
  "systemctl #{action} #{@name}"
end

Since RHEL 7 doesn't provide /usr/sbin/service-wait binary, this is effectively dead code anyway.


Version:
Satellite 6.5 snap 18
tfm-rubygem-katello-3.10.0.24-1.el7sat.noarch
foreman-1.20.1.10-1.el7sat.noarch
pulp-server-2.18.0-0.1.rc.el7sat.noarch
satellite-6.5.0-6.beta.el7sat.noarch

Comment 7 errata-xmlrpc 2019-05-14 12:37:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.